#
# spec file for package python-snowballstemmer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-snowballstemmer
Version:        1.2.0
Release:        5.1
Summary:        This package provides 16 stemmer algorithms
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/shibukawa/snowball_py
Source:         https://pypi.python.org/packages/source/s/snowballstemmer/snowballstemmer-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.


%prep
%setup -q -n snowballstemmer-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.rst LICENSE.rst

%changelog
* Thu Apr 23 2015 mcihar@suse.cz
- Compatibility with SLE11
* Thu Apr  9 2015 termim@gmail.com
- copied from python3-snowballstemmer
* Sun Mar 15 2015 arun@gmx.de
- initial version
